get
https://{domainname}/ca_reports/getCustomerHoldData
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Used to retrieve the hold time duration for historical call records. Response data includes all details regarding hold time duration within a call.
Rate Limit:A maximum of 5 requests per minute is allowed.
To use this API with the help of a token, follow these steps:
- Generate the Token: Use the 'Generate Token' API to obtain an authentication token.
- Enter the Token ID: Navigate to the right section of this page, under the 'AUTHORIZATION' tab. Here, input the generated token ID.
- With the token entered, pass the below header and body parameters:
APIs Domain NameFor domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com
For international ccaas - enter the domain: api.ccaas.ozonetel.com
For Partners - enter the respective URL
Header parameters
| Parameter | Description |
|---|---|
| Content-Type | application/json |
Body Params
{
"fromDate": "2024-11-28",
"toDate": "2024-11-28",
"userName": "xxxxx"
}
Possible responses
| Success response | "status": 1 "message": "Success", "data": {xxxxx} |
| Invalid apiKey | "status": 0 "message": "No user found", "data": "" |
| Invalid userName | "status": 0 "message": "No user found", "data": "" |
| Invalid Date format | "status": 0 "message": "Please pass the data in following format yyyy-mm-dd", "data": "" |
| Missing mandatory parameters | "status": 0 "message": "All parameters are mandatory", "data": "" |
| Get requests when another process is running | "status": 0 "message": "Already request is in progress, please try again", "data": "" |
| No records found | "status": 1 "message": "No data found", "data": [] |
